Package ru.bitel.bgbilling.kernel.script.server.bean

# Class ScriptInstance

java.lang.Object
ru.bitel.bgbilling.kernel.script.server.bean.ScriptInstance

    public class ScriptInstance
    extends java.lang.Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `ScriptInstance.DeprecatedCheker` |
  `static interface` | `ScriptInstance.ScriptValidator` |
  `static class` | `ScriptInstance.ValidationException` |

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected ru.bitel.common.io.ThreadedPrintStream` | `err` |
  `protected bsh.Interpreter` | `interpreter` |
  `protected ru.bitel.common.io.ThreadedPrintStream` | `out` |
  `protected bsh.This` | `thiz` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ScriptInstance​(Script script)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Object` | `eval​(java.io.PrintStream out, java.io.PrintStream err, java.util.Map<java.lang.String,​java.lang.Object> vars)` |
  `bsh.Interpreter` | `getInterpreter()` |
  `Script` | `getScript()` |
  `java.lang.Object` | `invoke​(java.lang.String method, java.lang.Object[] args)` |
  `java.lang.Object` | `invoke​(java.lang.String method, java.lang.Object[] args, java.io.PrintStream out, java.io.PrintStream err)` |
  `static boolean` | `methodExist​(Script f, java.lang.String method)` |
  `static java.util.Set<java.lang.String>` | `methodNames​(Script f)` |
  `void` | `recycle()` |
  `java.lang.String` | `toString()` |
  `static void` | `validateScript​(Script f)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### interpreter

    protected bsh.Interpreter interpreter

  - ### thiz

    protected bsh.This thiz

  - ### out

    protected ru.bitel.common.io.ThreadedPrintStream out

  - ### err

    protected ru.bitel.common.io.ThreadedPrintStream err

- ## Constructor Details

  - ### ScriptInstance

    public ScriptInstance​(Script script)

- ## Method Details

  - ### validateScript

    public static void validateScript​(Script f) throws ScriptInstance.ValidationException
    Throws:
      `ScriptInstance.ValidationException`

  - ### methodExist

    public static boolean methodExist​(Script f, java.lang.String method)

  - ### methodNames

    public static java.util.Set<java.lang.String> methodNames​(Script f)

  - ### getScript

    public Script getScript()

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### eval

    public java.lang.Object eval​(java.io.PrintStream out, java.io.PrintStream err, java.util.Map<java.lang.String,​java.lang.Object> vars) throws bsh.EvalError
    Throws:
      `bsh.EvalError`

  - ### invoke

    public java.lang.Object invoke​(java.lang.String method, java.lang.Object[] args, java.io.PrintStream out, java.io.PrintStream err) throws bsh.EvalError
    Throws:
      `bsh.EvalError`

  - ### invoke

    public java.lang.Object invoke​(java.lang.String method, java.lang.Object[] args) throws bsh.EvalError
    Throws:
      `bsh.EvalError`

  - ### getInterpreter

    public bsh.Interpreter getInterpreter()

  - ### recycle

    public void recycle()